DCMTK - Feature #534

Make dictionary location configurable (e.g. useful for Debian packaging)
2013-07-15 13:36 - Michael Onken

Status: New Start date: 2013-07-15
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Configuration Estimated time: 0:00 hour

Target version:
Module: Compiler:

Operating System:

Description

Currently one cannot install another version of DCMTK into a Debian system into the default /usr. This works for libraries since they
get different .so names, however, it does not work for the dictionaries (dicom.dic, private.dic, diconde.dic) which will end up in the
same location. Mathieu Malaterre uses patch for Debian packaging where the dictionary location is configurable .

History

#1 - 2013-08-15 19:22 - J6rg Riesmeier

- Category set to Configuration

#2 - 2017-03-24 12:44 - Marco Eichelberg
- Target version changed from 3.6.2 to 3.6.3

#3 - 2018-02-05 19:38 - Jan Schlamelcher
- Target version changed from 3.6.3 to 3.6.6

#4 - 2020-05-25 13:28 - Michael Onken
- Target version deleted (3.6.6)
http://anonscm.debian.org/viewvc/debian-med/trunk/packages/dcmtk/branches/experimental/debian/patches/datadic_install.patch?view=markup
